#
# Copyright (c) 2009 Rane Corporation. All Rights Reserved.
# $Id$
#
# This script deletes all drivers from the local machine's driver cache
# that are associated with Rane.  The purpose is to restore a more clean 
# machine for testing purposes.
#

from subprocess import Popen, PIPE
import re

print "Searching for existing drivers..."
regex = """(oem[0-9]+\\.inf)\s+Provider: Rane[^\n]*\s+Class: Sound, video and game controllers"""
contents = Popen(["devcon", "dp_enum"], stdout=PIPE).communicate()[0]
packageNames = re.findall(regex, contents)
print "%d drivers found" % len(packageNames)
for packageName in packageNames:
   Popen(["devcon", "-f", "dp_delete", packageName]).communicate()
