// Copyright (c) 2011 Rane Corporation. All Rights Reserved.
// $Id$
//
// Performs a variety of non-streaming tests on the Red Hammer audio device.

#ifndef h_SixtyTwoApiTest
#define h_SixtyTwoApiTest

#ifdef WIN32
#include "tchar.h"
#else
#define _TCHAR char
#endif

/// Executes a suite of automated and interactive Red Hammer tests.
/// This is intended to be invoked from a console application; the return value
/// is intended for use as an exit code, and the argc and argv parameters
/// should be simply passed through from the app's main function.
int RunAllSixtyTwoTests(int argc,  _TCHAR* const argv[]);

#endif
